Decribes the Abi info.

### Hierarchy

- AbiInfo

## Index

### Properties

- entrypoint
- functions
- hash

### Methods

- getEntryPoint
- getFunction
- getHash
- parseJson

## Properties

### entrypoint

entrypoint: string

- Defined in smartcontract/abi/abiInfo.ts:37

### functions

functions: AbiFunction[] = []

- Defined in smartcontract/abi/abiInfo.ts:38

### hash

hash: string

- Defined in smartcontract/abi/abiInfo.ts:36

## Methods

### getEntryPoint

- getEntryPoint(): string

- - Defined in smartcontract/abi/abiInfo.ts:44

  #### Returns string

### getFunction

- getFunction(name: string): AbiFunction

- - Defined in smartcontract/abi/abiInfo.ts:48

  #### Parameters

  - ##### name: string

  #### Returns AbiFunction

### getHash

- getHash(): string

- - Defined in smartcontract/abi/abiInfo.ts:40

  #### Returns string

### Static parseJson

- parseJson(json: string): AbiInfo

- - Defined in smartcontract/abi/abiInfo.ts:26

  #### Parameters

  - ##### json: string

  #### Returns AbiInfo

Generated using TypeDoc